Bug 133261 - Colibre: Wrong MIME type Icons for Many File Types
Summary: Colibre: Wrong MIME type Icons for Many File Types
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2020-05-22 05:34 UTC by Rizal Muttaqin
Modified: 2020-06-05 20:02 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Wrong MIME Type in Colibre (121.01 KB, image/png)
2020-05-22 05:34 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-05-22 05:34:09 UTC
Created attachment 161114 [details]
Wrong MIME Type in Colibre

Step to reproduce:

1. Make sure Colibre is selected icon set (Tools > Options > LibreOffice > View Icon Style > Colibre.
2. Enable LibreOffice dialog for opening/saving (Tools > Options > LibreOffice > General > in the Open/Save Dialogs, click Use LibreOffice dialogs.
3. Make sure you have several file types to be opened
Comment 1 Commit Notification 2020-06-03 02:58:53 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/04b1400b590cae80b012920466e23d1f66add92a

Colibre: Fix for tdf#133261 wrong MIME type icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-06-05 20:02:07 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f0caaa6005009f64c0968fd8482e2515810eefcc

Colibre: Fix for tdf#133261 wrong MIME type icons

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.